From b474978b2e9435c10ca66f8281352ebc825264f4 Mon Sep 17 00:00:00 2001
From: Roman Perepelitsa <roman.perepelitsa@gmail.com>
Date: Mon, 3 Apr 2023 14:23:14 +0200
Subject: wizard: prefer POWERLEVEL9K_MODE=nerdfont-complete over nerdfont-v3

Apparently Windows Terminal has a bug. To reproduce:

    print -P '\UF0737%K{red} %k'

The expected output:

    x_

Here 'x' signifies any glyph of width 1, and '_' signifies a red
block.

The actual output:

    x _

Notice the space.

The output of the following two commands is as expected:

    print -P '\UFC35%K{red} %k'
    print -P '\UFC35x'
---
 internal/wizard.zsh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/internal/wizard.zsh b/internal/wizard.zsh
index ecc9a476..c2079e52 100644
--- a/internal/wizard.zsh
+++ b/internal/wizard.zsh
@@ -2094,13 +2094,13 @@ while true; do
       elif (( ! cap_diamond )); then
         POWERLEVEL9K_MODE=awesome-fontconfig
       else
-        ask_arrow '\UF0737' || continue
+        ask_arrow '\uFC35' || continue
         if (( cap_arrow )); then
-          POWERLEVEL9K_MODE=nerdfont-v3
+          POWERLEVEL9K_MODE=nerdfont-complete
         else
-          ask_arrow '\uFC35' "Let's try another one." || continue
+          ask_arrow '\UF0737' "Let's try another one." || continue
           if (( cap_arrow )); then
-            POWERLEVEL9K_MODE=nerdfont-complete
+            POWERLEVEL9K_MODE=nerdfont-v3
           else
             POWERLEVEL9K_MODE=awesome-fontconfig
             ask_python || continue
-- 
cgit v1.2.3